import { css, LitElement, html } from "lit";
import { property, customElement } from "lit/decorators.js";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __decorateClass = (decorators, target, key, kind) => {
  var result = kind > 1 ? void 0 : kind ? __getOwnPropDesc(target, key) : target;
  for (var i = decorators.length - 1, decorator; i >= 0; i--)
    if (decorator = decorators[i])
      result = (kind ? decorator(target, key, result) : decorator(result)) || result;
  if (kind && result)
    __defProp(target, key, result);
  return result;
};
let WebmarketsBackgroundVideo = class extends LitElement {
  constructor() {
    super(...arguments);
    this.mp4Src = "";
    this.webmSrc = "";
    this.imgSrc = "";
    this.minRes = 0;
  }
  render() {
    return html`
      <div id="background-video__container">
        ${window.innerWidth >= this.minRes ? html`
              <video id="background__video" autoplay playsinline muted autoplay loop>
                <source src=${this.webmSrc} type="video/webm;" />
                <source src=${this.mp4Src} type="video/mp4;" />
                <img src=${this.imgSrc} title="Your browser does not support the <video> tag" />
              </video>
            ` : ""}
        <slot></slot>
      </div>
    `;
  }
};
WebmarketsBackgroundVideo.styles = css`
    #background-video__container {
      overflow: hidden;
      z-index: 1;
      position: relative;
      width: 100%;
      height: 100%;
    }
    #background__video {
      z-index: 0;
      position: absolute;
      left: 50%;
      top: 50%;
      min-width: 100%;
      transform: translate(-50%, -50%);
      height: 100%;
      width: 100%;
      object-fit: cover;
    }
  `;
__decorateClass([
  property({ type: String, reflect: true })
], WebmarketsBackgroundVideo.prototype, "mp4Src", 2);
__decorateClass([
  property({ type: String, reflect: true })
], WebmarketsBackgroundVideo.prototype, "webmSrc", 2);
__decorateClass([
  property({ type: String, reflect: true })
], WebmarketsBackgroundVideo.prototype, "imgSrc", 2);
__decorateClass([
  property({ type: Number, reflect: true })
], WebmarketsBackgroundVideo.prototype, "minRes", 2);
WebmarketsBackgroundVideo = __decorateClass([
  customElement("wm-background-video")
], WebmarketsBackgroundVideo);
export { WebmarketsBackgroundVideo };
